aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2015-11-30 03:47:21 +0100
committerMattias Andrée <maandree@operamail.com>2015-11-30 03:47:21 +0100
commit40e9b6520a9ea143351bcc8793cf1f7b56467bba (patch)
tree02846e80d095a86e3f7f5fee9342e2b15d718ab1
parentupdate dist (diff)
downloadsolar-python-40e9b6520a9ea143351bcc8793cf1f7b56467bba.tar.gz
solar-python-40e9b6520a9ea143351bcc8793cf1f7b56467bba.tar.bz2
solar-python-40e9b6520a9ea143351bcc8793cf1f7b56467bba.tar.xz
update dist
Signed-off-by: Mattias Andrée <maandree@operamail.com>
-rw-r--r--.gitignore1
-rw-r--r--dist/archlinux/stable/PKGBUILD3
-rw-r--r--dist/archlinux/stable/solar-python.install20
3 files changed, 23 insertions, 1 deletions
diff --git a/.gitignore b/.gitignore
index a519756..a5d1b5a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -19,4 +19,5 @@ __pycache__/
*.gz
*.bz2
*.xz
+!solar-python.install
diff --git a/dist/archlinux/stable/PKGBUILD b/dist/archlinux/stable/PKGBUILD
index 637ad4a..b7290fc 100644
--- a/dist/archlinux/stable/PKGBUILD
+++ b/dist/archlinux/stable/PKGBUILD
@@ -2,13 +2,14 @@
pkgname=solar-python
pkgver=2.2
-pkgrel=1
+pkgrel=2
pkgdesc="Solar data calculation and prediction library for Python"
arch=(any)
url="https://github.com/maandree/solar-python"
license=('AGPL3')
depends=(python3)
makedepends=(make coreutils python3 texinfo)
+install=solar-python.install
source=($url/archive/$pkgver.tar.gz)
sha256sums=(b35d1b6e1f3de9e78b610ac6febecd07ec28fc8bcad9a864afca9ae4cec1e109)
diff --git a/dist/archlinux/stable/solar-python.install b/dist/archlinux/stable/solar-python.install
new file mode 100644
index 0000000..0227091
--- /dev/null
+++ b/dist/archlinux/stable/solar-python.install
@@ -0,0 +1,20 @@
+_file="solar-python"
+
+infodir="usr/share/info"
+file="${_file}.info"
+
+
+post_install() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x "usr/bin/install-info" ]] || return 0
+ install-info --delete -- "${infodir}/${file}" "${infodir}/dir" 2> /dev/null
+}
+